execute as @e[tag=sniffer,type=pig] as @e[tag=sniffer,type=pig] if entity @s[nbt={InLove:1..}] run data merge entity @s {InLove:0}
execute as @e[tag=sniffer,type=pig] if entity @s[nbt={Saddle:1b}] run data merge entity @s {Saddle:0b}

execute as @e[tag=sniffer,type=pig] at @s if entity @s[nbt={HurtTime:10s}] run data merge entity @e[limit=1,tag=sniffer2,sort=nearest] {ArmorItems:[{},{},{},{id:"minecraft:stick",Count:1b,tag:{CustomModelData:1003}}]}
execute as @e[tag=sniffer,type=pig] at @s if entity @s[nbt={HurtTime:10s}] run playsound minecraft:mob.sniffer.hurt hostile @a[distance=0..30] ~ ~ ~ 1 1 1

execute as @e[tag=sniffer,type=pig] if entity @s[nbt={HurtTime:1s}] run data merge entity @e[limit=1,tag=sniffer2,sort=nearest] {ArmorItems:[{},{},{},{id:"minecraft:stick",Count:1b,tag:{CustomModelData:1001}}]}

execute as @e[tag=sniffer,type=!armor_stand] at @s store result entity @e[type=armor_stand,tag=sniffer2,limit=1,sort=nearest] Rotation[0] float 1 run data get entity @s Rotation[0]

execute as @e[type=item,nbt={Item:{tag:{sniffer.dead:1b}}}] at @s run function mobvote:sniffer/death

execute as @e[scores={cooldown=1},tag=sniffer] run execute store success score @s sniffer1 if predicate mobvote:sniffer/plains
execute as @e[scores={cooldown=1},tag=sniffer] run execute if score @s sniffer1 matches 1 as @s at @s run function mobvote:sniffer/seeds/plains_seed
execute as @e[scores={cooldown=1},tag=sniffer] run execute if score @s sniffer1 matches 1 as @s at @s run scoreboard players set @s sniffer1 0

execute as @e[scores={cooldown=1},tag=sniffer] run execute store success score @s sniffer2 if predicate mobvote:sniffer/desert
execute as @e[scores={cooldown=1},tag=sniffer] run execute if score @s sniffer2 matches 1 as @s at @s run function mobvote:sniffer/seeds/desert_seed
execute as @e[scores={cooldown=1},tag=sniffer] run execute if score @s sniffer2 matches 1 as @s at @s run scoreboard players set @s sniffer2 0

execute as @e[scores={cooldown=1},tag=sniffer] run execute store success score @s sniffer3 if predicate mobvote:sniffer/snowy_plains
execute as @e[scores={cooldown=1},tag=sniffer] run execute if score @s sniffer3 matches 1 as @s at @s run function mobvote:sniffer/seeds/snow_seed
execute as @e[scores={cooldown=1},tag=sniffer] run execute if score @s sniffer3 matches 1 as @s at @s run scoreboard players set @s sniffer3 0

execute as @e[scores={cooldown=1},tag=sniffer] run execute store success score @s sniffer4 if predicate mobvote:sniffer/dark_forest
execute as @e[scores={cooldown=1},tag=sniffer] run execute if score @s sniffer4 matches 1 as @s at @s run function mobvote:sniffer/seeds/forest_seed
execute as @e[scores={cooldown=1},tag=sniffer] run execute if score @s sniffer4 matches 1 as @s at @s run scoreboard players set @s sniffer4 0

execute as @e[scores={cooldown=1},tag=sniffer] run execute store success score @s sniffer5 if predicate mobvote:sniffer/jungle
execute as @e[scores={cooldown=1},tag=sniffer] run execute if score @s sniffer5 matches 1 as @s at @s run function mobvote:sniffer/seeds/jungle_seed
execute as @e[scores={cooldown=1},tag=sniffer] run execute if score @s sniffer5 matches 1 as @s at @s run scoreboard players set @s sniffer5 0

execute as @e[scores={cooldown=0},tag=sniffer] run scoreboard players set @s cooldown 72000
execute as @e[scores={cooldown=1..},tag=sniffer] run scoreboard players remove @s cooldown 1
execute as @e[scores={cooldown=1..},tag=sniffer.egg] run scoreboard players remove @s cooldown 1

execute as @e[tag=sniffer.egg,tag=start] run scoreboard players set @s cooldown 72000
execute as @e[tag=sniffer.egg,tag=start] run tag @s remove start

execute as @e[scores={cooldown=1},tag=sniffer.egg,tag=!start] at @s run function mobvote:sniffer/summon_sniffer
execute as @e[scores={cooldown=0},tag=sniffer.egg,tag=!start] at @s run kill @s

execute as @e[tag=plant.plains] at @s unless block ~ ~-1 ~ #minecraft:dirt run summon item ~ ~ ~ {Item:{id:"minecraft:armor_stand",Count:1b,tag:{display:{Name:'{"text":"Plains seed","bold":false,"italic":false,"underlined":false,"strikethrough":false,"obfuscated":false}'},CustomModelData:1501,seed:1b,EntityTag:{Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,NoBasePlate:1b,Tags:["plant","plant.plains"],ArmorItems:[{},{},{},{id:"minecraft:stick",Count:1b,tag:{CustomModelData:2001}}]}}}}
execute as @e[tag=plant.plains] at @s unless block ~ ~-1 ~ #minecraft:dirt run kill @s

execute as @e[tag=plant.desert] at @s unless block ~ ~-1 ~ minecraft:sand at @s run summon item ~ ~ ~ {Item:{id:"minecraft:armor_stand",Count:1b,tag:{display:{Name:'{"text":"Desert seed","bold":false,"italic":false,"underlined":false,"strikethrough":false,"obfuscated":false}'},CustomModelData:1502,seed:2b,EntityTag:{Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,NoBasePlate:1b,Tags:["plant","plant.desert"],ArmorItems:[{},{},{},{id:"minecraft:stick",Count:1b,tag:{CustomModelData:2002}}]}}}}
execute as @e[tag=plant.desert] at @s unless block ~ ~-1 ~ minecraft:sand at @s run kill @s

execute as @e[tag=plant.snow] at @s unless block ~ ~-1 ~ minecraft:snow_block at @s run summon item ~ ~ ~ {Item:{id:"minecraft:armor_stand",Count:1b,tag:{display:{Name:'{"text":"Snow seed","bold":false,"italic":false,"underlined":false,"strikethrough":false,"obfuscated":false}'},CustomModelData:1503,seed:3b,EntityTag:{Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,NoBasePlate:1b,Tags:["plant","plant.snow"],ArmorItems:[{},{},{},{id:"minecraft:stick",Count:1b,tag:{CustomModelData:2003}}]}}}}
execute as @e[tag=plant.snow] at @s unless block ~ ~-1 ~ minecraft:snow_block at @s run kill @s

execute as @e[tag=plant.forest] at @s unless block ~ ~-1 ~ #minecraft:dirt run summon item ~ ~ ~ {Item:{id:"minecraft:armor_stand",Count:1b,tag:{display:{Name:'{"text":"Forest seed","bold":false,"italic":false,"underlined":false,"strikethrough":false,"obfuscated":false}'},CustomModelData:1504,seed:4b,EntityTag:{Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,NoBasePlate:1b,Tags:["plant","plant.forest"],ArmorItems:[{},{},{},{id:"minecraft:stick",Count:1b,tag:{CustomModelData:2004}}]}}}}
execute as @e[tag=plant.forest] at @s unless block ~ ~-1 ~ #minecraft:dirt run kill @s

execute as @e[tag=plant.jungle] at @s unless block ~ ~-1 ~ #minecraft:dirt run summon item ~ ~ ~ {Item:{id:"minecraft:armor_stand",Count:1b,tag:{display:{Name:'{"text":"Jungle seed","bold":false,"italic":false,"underlined":false,"strikethrough":false,"obfuscated":false}'},CustomModelData:1505,seed:5b,EntityTag:{Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,NoBasePlate:1b,Tags:["plant","plant.jungle"],ArmorItems:[{},{},{},{id:"minecraft:stick",Count:1b,tag:{CustomModelData:2005}}]}}}}
execute as @e[tag=plant.jungle] at @s unless block ~ ~-1 ~ #minecraft:dirt run kill @s